Bug 472835 - Add VAG Rounded aliases to
Add VAG Rounded aliases to
Product: Fedora
Classification: Fedora
Component: mgopen-fonts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sarantis Paskalis
Fedora Extras Quality Assurance
Depends On:
Blocks: F11Target
  Show dependency treegraph
Reported: 2008-11-24 17:52 EST by Nicolas Mailhot
Modified: 2008-12-31 05:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-31 05:05:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fontconfig file for modata (894 bytes, text/plain)
2008-11-25 08:24 EST, Sarantis Paskalis
no flags Details
modata fontconfig (891 bytes, text/plain)
2008-11-26 05:48 EST, Sarantis Paskalis
no flags Details

  None (edit)
Description Nicolas Mailhot 2008-11-24 17:52:43 EST
Description of problem:

According to discussions on the Open Font Library List Modata is a derivative of the well-known VAG Rounded font Volkwagen AG put in the public domain when it had no longer use of it

Therefore, the Fedora package shipping Modata should include aliasing rules that tell fontconfig to use Modata when it encounters a document or web page using VAG Rounded or one of its derivatives (it seems VAG rounded was good enough every proprietary foundry jumped on it when it was PDed and created their own version).

Common font names used by VAG derivatives are
"VAG Rounded Std"
"VAG Rundschrift"
"VAG Rounded"

This can be done at the time the package is converted to new F11 packaging guidelines if FPC approves
Comment 1 Sarantis Paskalis 2008-11-25 08:24:08 EST
Created attachment 324611 [details]
fontconfig file for modata

Is such a fontconfig file ok for the modata alias?  I am not very familiar with fontconfig syntax, so I copy/pasted from the relevant DejaVu fontconfig settings.

As for the new packaging guidelines I will wait for the FPC approval before proceeding.
Comment 2 Nicolas Mailhot 2008-11-25 14:39:54 EST
(In reply to comment #1)

> Is such a fontconfig file ok for the modata alias?  I am not very familiar with
> fontconfig syntax, so I copy/pasted from the relevant DejaVu fontconfig
> settings.

You have simpler and cleaner fontconfig templates in the fontpackages stuff referenced on

Unlike the spec part, they are not F11-oriented and should work as-is with current packaging guidelines (you want to look at the fontconfig template named substitution-font-template.conf)
Comment 3 Bug Zapper 2008-11-26 00:53:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 4 Sarantis Paskalis 2008-11-26 05:48:07 EST
Created attachment 324701 [details]
modata fontconfig

Could you please check the attached fontconfig configuration (this is modata specific).

I can't see how to clean it up further.
Comment 5 Jon Stanley 2008-11-26 14:13:45 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 6 Sarantis Paskalis 2008-12-31 05:05:40 EST
Fixed in 0.20050519-9 (rawhide).

Note You need to log in before you can comment on or make changes to this bug.